import { TypedMessageEvent } from '../broadcast-channel';
/**
 * @internal
 */
export declare const TestChannelId = "test-channel";
/**
 * @internal
 */
export type TestEntity = {
    label: string;
    quantity?: number;
};
/**
 * @internal
 */
export type TestEvents = {
    loaded: TestEntity[];
    unloaded: void;
};
/**
 * @internal
 */
export declare const mockLoadedEvent: (detail?: TestEntity[]) => TypedMessageEvent<TestEvents, "loaded">;
/**
 * @internal
 */
export declare const mockUnloadedEvent: () => TypedMessageEvent<TestEvents, "unloaded">;
//# sourceMappingURL=types.d.ts.map